summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Zaman <perfinion@gentoo.org>2018-08-06 16:13:18 +0800
committerJason Zaman <perfinion@gentoo.org>2018-08-07 00:31:39 +0800
commitb0ca8ae727151c6403a46c9955ecea594682d680 (patch)
treed006b1836e6d028319510ed7a42064768f94bada /sci-libs/tensorflow
parentnet-misc/memcached: remove old for CVE-2018-1000127 (diff)
downloadgentoo-b0ca8ae727151c6403a46c9955ecea594682d680.tar.gz
gentoo-b0ca8ae727151c6403a46c9955ecea594682d680.tar.bz2
gentoo-b0ca8ae727151c6403a46c9955ecea594682d680.zip
sci-libs/tensorflow: bump to 1.10_rc1
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'sci-libs/tensorflow')
-rw-r--r--sci-libs/tensorflow/Manifest9
-rw-r--r--sci-libs/tensorflow/tensorflow-1.10.0_rc1.ebuild427
2 files changed, 436 insertions, 0 deletions
diff --git a/sci-libs/tensorflow/Manifest b/sci-libs/tensorflow/Manifest
index bc31f2377f2..9e2f5eff735 100644
--- a/sci-libs/tensorflow/Manifest
+++ b/sci-libs/tensorflow/Manifest
@@ -1,6 +1,7 @@
DIST ARM_NEON_2_x86_SSE-0f77d9d182265259b135dad949230ecbf1a2633d.tar.gz 99753 BLAKE2B 79b0c9e2f3a8de91bb042e55cbc9f589970add4c9bdccd96c9a0f38887418c97aa67fc433b4feffb92a1384039b0d68a7cc6cda141371427a310172422bd41d6 SHA512 a21df040a5b3f67d9be006ae414113fa1ca86d38fa446acfab18afcbbb89ee7c48776fac5565d0694c99f1ff6ead3b10a9915eac7aae4d2a532ef5ac126a0072
DIST LMDB_0.9.19.tar.gz 143141 BLAKE2B 69f39e2194638989d8a17b79edd7918966d5608f4e611a7446b45e7321adf3b7d4bd69107fe00a1476d32cbd43b83f512c8498cefa3fca7eea8ba615821341fe SHA512 1d9825f09592ad92a540a1dec232cf6649f41cc67b0d59dc8958a71f4090f347c84995f32a166e2c2efecb862981f455814dd07af99bc3489e42fe3fd8bc6191
DIST abseil-cpp-9613678332c976568272c8f4a78631a29159271d.tar.gz 875263 BLAKE2B f11af5582ef3e00155361de2185b703fc9edde1b6cbefce62224da7b13e1beae219076f144b7b8d4bf63d1b21a73beb77fbb437e6d91e6d59a233846d91c1a99 SHA512 a3694d4c74f542f7a55872707548469e1bdc6dcd05d40ffd62de41d7440dc1fb98d260f690a6799ad39142e35226b04aacc6122aa1edf104fc9d396997995a8c
+DIST abseil-py-0.2.2.tar.gz 189357 BLAKE2B b53976b50f1738d671a32df2fabf197785cb4be1f68dbf7f0bdd5bbbb1a73439646f5b6a9ea42d5df40debdbb8e8c72c554f428a948f3117dba5d6a8e2b473f2 SHA512 d2a393e78acc9ac28fc9b1129c23de9c2ab6059a7527eaa29e4182356b16cbce1fede94af2a8b51af9d1c606b162d8ae84eb3036ced784a89d4f7547bfce73ed
DIST abseil-py-ea8c4d2ddbf3fba610c4d613260561699b776db8.tar.gz 189090 BLAKE2B ac4e7ffffb6dc2ad922d03cbfee1858335728fffe5721761fb0207b242ccf0f8d9739bed29987c8cc718f7cc3c297e05bf7506b36f31a06b9019be8215f842a7 SHA512 faf00229a062dcf71d9147bc76538dd4ee3adcb76b7e46943663eb43e3023587c68819d1ca157709c3f071e5796bbcf8e10277ccca1f5b83f33fb0025520d373
DIST abseil_cpp-720c017e30339fd1786ce4aac68bc8559736e53f.tar.gz 529637 BLAKE2B fea7eceda492764613ffe944331e6b08af33d600036e9b2453f4c09e892f22f79a95b00a29a9bdf9e705d11502027d88659e19aa484cf4a02158209b058cec13 SHA512 3ac70cb924518627dfc6ec2eb5f65bc0e1235898eefebb0d0410867270065aa745d21456f1212b916e732b3f5dada18b03e526e02d09a09f445531798219006e
DIST abseil_py-acec853355ef987eae48a8d87a79351c15dff593.tar.gz 175877 BLAKE2B f3c9b36101321f1e72c4eb2cbf11b42e36dc95bb1682b124b77652d2a2bee912459fa92f40718c80aa22f18611c77d13ad08e2888b20ae8895c115191e2b7397 SHA512 154056acee09b8c193d0bc8c64dd98bab87bfd779b04f81b1da7ace3004fcdf780f3ed0066ca3204850c2b80a6b1185e5e435ed852b73af85a6d899addc1c8bc
@@ -18,13 +19,16 @@ DIST eigen-6913f0cf7d06.tar.gz 2296773 BLAKE2B f3d4ed1577abc7f722fb600e79bcb1294
DIST eigen-fd6845384b86.tar.gz 2312810 BLAKE2B aae02b053e9b22b0c063d1173b28fd7d71cdec6b6e6702624b8fdeb707ada24e5415079f1a1c7b8fe108c7e632c6c736e13cfbdc101270742565b7045a57616a SHA512 b999e60236abf7a6a5062aa55b0aeefe9254b204416092649d4a88d42fef7c571e3ba563bbbf94033093f789511793d614c1ce94a0a0f3eb4b18df466b6345a5
DIST farmhash-816a4ae622e964763ca0862d9dbd19324a1eaf45.tar.gz 467122 BLAKE2B 8b9dd426f4b9f732df6c8c09d868d1b1cc006c395b1525c46ea91c75318b723358c8e64bb0d86a73aace2032eded93f0d80cc7c2c77fddd6a39e3402ab4f2cb7 SHA512 7f5110514a8cdc7ce48d33fd94ad67d96a24e42e11b203e4d0986f4190545f051b2a63f8e09f2ac38c3aa4a5c62d9a0e02cd8ce02045037381fb62a99f0dcd00
DIST fft.tgz 72213 BLAKE2B 4a3ac2b4c0bc3275b5743df59241e1cdbd0200371c153ddf54ef6c7c4ec523ee6560547e2d5ef9f3200037c0635bf41c18991ac35f271b1e600d0dbd65d1a9a7 SHA512 f1ceac00cb7b9eb8f625eee7f1f5eea8af363343589a344226628d68baf668c176e6c23b7f904c4e682330352eaa0cd5d00731340d208e94c9657b8f85ae2240
+DIST flatbuffers-1.9.0.tar.gz 681752 BLAKE2B 7886895f79ad5b8b62c4acb479d60a6fe16226a1a9daadf2c457189b7a3381676ba9dd3f8e2af5ebd5f2d78c6ac37d9d83de88ee08b566fd4e4507ecdb887938 SHA512 0ba07dbe5b2fde1d0a6e14ee26ee2816062541d934eda204b846a30c019362f2626761b628c900293928b9b546dba8ca477c13182e022c3e0e0a142fd67f0696
DIST flatbuffers-971a68110e4fc1bace10fcb6deeb189e7e1a34ce.tar.gz 613854 BLAKE2B 982142b7dd81791f221d7f3cbbecf6539549c86c436e0cf3ae0c57bd7535b90083c7d2709abc811abcf3b6fee417a16b1d8dcdedcce58fd8715db7ae785a7bff SHA512 01ffc047483edaaccc13bf256d59eef0c4cb7488618f1e908c74e0dcc599f00856d052d209a079d35e385bef973a4c6daf401107c4be85bba46dcc3b4f453b26
DIST gast-0.2.0.tar.gz 9400 BLAKE2B 1392b9ef3a007d89b6b7af5ca49f3dcaa0689e166845ea25c2e544578f65915114d763b54503825dc2b6958a71ac284ec7ae2cc2cfa861494da28df786d679b4 SHA512 651719c3035d21e02e39cd83fd54212a12c39addf69f7c9e8810ccb7bb9aae7828e176ad0adf55182f0628f18d76cb1e286e498a9665ddb12e91a51dc2303381
DIST gemmlowp-38ebac7b059e84692f53e5938f97a9943c120d98.zip 916632 BLAKE2B 0bde9faf0e185fc69999173eb0b5a2e106d252ee1bc6caf38b1adc27bde96e4e2b52a3d723c8b1af922386c0e933bfcc674be974cee059c1d9b16ff6ac631c3e SHA512 eb141182dff058048c559723e6aa7127244dcc6a5a0bfd1250bbb262f34378dccf15b1b930cf46dcb6ac22ac16e3fa2781cca63cd93865506a36ab7e463aa537
DIST gemmlowp-7c7c744640ddc3d0af18fb245b4d23228813a71b.zip 903072 BLAKE2B 26e49a36f7af265ba4fd720864fd148055e9491d0c0100988b474c41920a0b9d698c634a59280f458941a21af15017966bbb2f65e3b399bbcbf836e1232b9d7e SHA512 b754e9b4fb28884e5fbca56bf0fd59d8bbfa3e01900bf6860a2ee24047b21c71cd076ac27d5cc5b3f44c325fb6fb516529dfdcf720fecdb27e7fef38a4f6da13
DIST giflib-5.1.4.tar.gz 738552 BLAKE2B 414cfdb488a12bcebc6e6e1db9face0e69430e5af94929e7935dc38ff2355182e223b5d87aef53d405f5f79867b4bc1e756f84134d60a01bcb8b5bf5b6859fa1 SHA512 d9a98a593bcfbbfb2fcbeef1382ca9669a6b85276512e6828c92869d16c7cfe980bbb318766fc176be3c9f7deff7878d2be8aeda1d40af2cc4ac723fe6121b83
DIST google-cloud-cpp-53f822805e77ea7715f5b52c592a162c515c7219.tar.gz 617576 BLAKE2B d59967fa2bff125060d9c7a20b4dd892e414dd0fc5169a26145977383174410492ef184e00409a98736f5f53d6ab97e17a966140cded3c891e1efd6ac4590c51 SHA512 b9b2c39b4e18bb11f15ff573c1565742bfdb5f8acff33d85e592ba38cf38f7ef80981bb8184bf187cf2f0fb7af801d3d31d538029aea243408385e9e64ab61fa
+DIST google-cloud-cpp-f875700a023bdd706333cde45aee8758b272c357.tar.gz 630301 BLAKE2B b3e9a4b692530fcd94a1b41103063085e4368fa627e9b003d9ea1a9d1be473f34a5d2215ec38f54b5154bd72326930b3099d8d6bd2bcb518657c1a44b7a1b9dd SHA512 da838ce2b40b458609f77f0ec5c060b6099884500cfb4e678648ee2e37aeedde9605772ed94eb93f1c503880fbad2703dfc0621063c6f5076fed202136ebb64c
DIST googleapis-f81082ea1e2f85c43649bee26e0d9871d4b41cdb.zip 1099608 BLAKE2B 7b27f5355d68a0785b7d715d2da71a8e2f9c9609b090d3e2cf3fe974ac13b78c5e9fc43b88cc2ee5e8b268243ef8fe1b81cc4c27cb21b9a26fbe0825724bd8a7 SHA512 d63b5d824bbc73079db44671173f06353ca8c55ad86a86483ffd4dd88b0ef2b5ccb857d56b6e6e73c3bd7fd098b887ffbbbd138faaea9291ade34ff46502bfea
+DIST grpc-1.13.0.tar.gz 13755973 BLAKE2B 533f0a7d4eb606b8a55f12aade503285dbff2cfa29ff2af71d407e3df25f3ec4b7572335c455d5dd0069eb343f18f8641a4f9326065cc118922942f77d2d2403 SHA512 25a489cd67d12219696c397afa75282eb702bd0af418381990b2eeb4b56483a46276d05314710582dd17be04c80aaf9bb16e01e2c1729d9a59d84ff273baa254
DIST grpc-bd6bdf93279a39a8cd92978fd7c9d14eccd98fc2.tar.gz 13478349 BLAKE2B 81f6722c893332c6be7875f9bd4f8311eca989c6dcaf87e47de038abe43b4d8eef5aaa0326a15a7c4f5c7a922e85bc006ace244ef4004ed78bf91645711adc12 SHA512 9268fc28bc128d2ad944fff4d9e1764a5cf0ab7c4d3f693607f42413cccdb766ec349b8f2e487bef823ac65007da9b9e3fdf91a7f623634616d91a68477b2951
DIST grpc-d184fa229d75d336aedea0041bd59cb93e7e267f.tar.gz 13432340 BLAKE2B 68a0da37600fe15632542da2b477c47488c92a1eff578088187ca3ce2a4feaa8487dd4f6777c62af59be907984a9fa9f8170fc016a31d193bfafb472ed789a75 SHA512 7fc5a3f4a09317cb81a95fc82654379fb4361797f96a5e20e3bda4b425f57b8369922342ddf4ab4d401246abf4be8669ecb0a46f50c9065824901f14d3d21a6a
DIST highwayhash-dfcb97ca4fe9277bf9dc1802dd979b071896453b.tar.gz 121307 BLAKE2B 73402228c12dd0044960db0a2366d63dc6aaa3b8b093bfed7a1f32dfe063499913094beb4d93d67e1926b6854625bafc2f3e279e84e01220b279a3afd1cc3300 SHA512 235ede2ca52e22aa335e31969d2318fd0e413f07492d599bfc0a605ad53090731fe1285be177e2c66b6eb8379e98cbb8389f4d1c7b2bae20d3808bbcf5ecfb51
@@ -37,13 +41,16 @@ DIST libpng-v1.6.34.tar.gz 1146972 BLAKE2B 5d9c1e38cf5170b8b86a9b8bde380e735cd76
DIST librdkafka-v0.11.1.tar.gz 859238 BLAKE2B bc53f358320aa40d1acb209daa2594f18421bb6913bad7ba08a5612dfd6683e65489dc31ed67adc9df090d719ea6ab1031f46e524f055c61cab3f1f941a7163b SHA512 24aba6cfbd5df6a010a735fde455a9272c85b26055b172893b8e5259c2d6a7f2adc9637699f7f3b7270200a280cd95d52779a8f89fbb6af5fc035488ff54310e
DIST libxsmm-1.8.1.tar.gz 893332 BLAKE2B b09879ef45a8d3007846361aaad8536dac526297583d29f28378a91c05fdd3a4c51e399d7d5b05dd4456268d5fd3e7014d889a41be61c1d99425dd7234b0dd6e SHA512 30388de1edf46ae40b2ccdf224bd9febd1ffbb91f8250c89c03044fe1ea75754ce5155107ec9d027fe2e08963f1ac9d2e526ea84618d2cf50c2d5dfe8a1e074d
DIST llvm-7e78daafdd22f3f17720a103d29d89590534004e.tar.gz 39754833 BLAKE2B 30fe6c9267b89c9e0f046082af114c9eb9c32baeb13ab1f12b6c9c9ce7e8f83643635879fda4b3a82f5039b1aa6ff63f67546806cc7e6834e8e5399fa1d1f2d6 SHA512 b1ccaa3f39ad38946a2c177e08692719469b0747fbb63afa3054e161d24a61b5223a0c35eb0c5cc226d08416accda34035fa538803da320de205a4eb114b4f02
+DIST llvm-bd8c8d759852871609ba2e4e79868420f751949d.tar.gz 42053858 BLAKE2B d8f1e7728eeb7aa7e2eaf8456088b54aa29dbcdf9635823dff4501ec5d1c382d74c8dacfcfc89aed9c42d754a757c755bdd11a5b7be213bebbe4349f972165bc SHA512 470499b7f70a4fe8f4399f74b3e02aa511bf4786ee36fd8d28459e1d426761e110dede19c3786adb824e8d4d49386e27b5a01e752bb1c39e4df294ed71771404
DIST llvm-bf13d093f13a295d71080614c3036ada591201d5.tar.gz 41052612 BLAKE2B 61ff782a51bbed46ece6cdb7ea2a7bc4e28ffce22d1673444f96fb22373196e1f9851bc1fe98903d78bdeebbaa2de654d355ec91c14c3184bcf5b51657f3400c SHA512 3ebf854611b06889400e004a12478490ba43219202d1086fb4401bae9a6f4e74880f53bf3d3de9110027682a327216ac3016d6d7ec6b23ac288ca2836d615b2c
DIST mkl_dnn-v0.12.tar.gz 759597 BLAKE2B ad790db940ca5353bc20db9e012356761e5a87d6646eeae983880881e1df271a0a4deb3b6810546fa8cf6f2c35c45509c57630cf8d493d72d557d33864f780f3 SHA512 e6a257679b872d16e320556ca2c1ddb5c04a949ee8b8d6b4de350c46ad4ea79749d5d9f92940c592706719490ad837210335027f782a8df46da1a2029ae5adcc
DIST nasm-2.12.02.tar.bz2 961257 BLAKE2B f45c35571fa1254ccc01ed59de8a46cb480300404c701b444a7a751d077d23f64a7dbeeeb044d7daed8a6f895b1100f76f2db75ced6417ab56cb83b9494eece1 SHA512 7744a078647861382212de798d200b683cc4044881474fc1931acb14dfa0340ce026d1b3f64ac1ece87878ccd0ddcb69b8c0c850415313f47e01f0332e56a8f8
DIST nsync-0559ce013feac8db639ee1bf776aca0325d28777.tar.gz 151680 BLAKE2B 280f8800e8674fbab90d15c09ab7e260b3230bfcf0fb44c998955c9bd4aaf07b4a9073a74479c8879811c56863d4c28693e408a4b205e5b5d9c801bb82159216 SHA512 ef61f9f0b12cf1252840966243ef4b4a0cc18afde7eddedb7e3f6ea31fa8a89da5570cfe6be536d721e4b7593249d05bb1c60372f6668635ad8bcde78bfc8dee
+DIST nsync-1.20.1.tar.gz 154106 BLAKE2B 94eeb647de2ca58a3f3837119ef30805f0a72a9d12c19aa705f815955723ddefa1de4d2a3fe5fd0b227ffdd70d5208ab9a300e40b2aff2591a1cef28c79b450a SHA512 d7b9be1052b7d11d896d3fade822f7b1eebbd0a772c9f6e2cd827921f1adc29ed18f7587ebc7d29623d230be384a7a2356c1da3abd53567fc934979d89c70e0c
DIST nvidia-nccl-03d856977ecbaac87e598c0c4bafca96761b9ac7.tar.gz 47849 BLAKE2B fb2a6fc1e45057c4150c1dae2a5058a12d8641b3f5dfdd982661b4351ec9df39ac3aefaf4dfa9c8606ddf7fd1c4a8b35683e5e5eddd74cbc63ee025b33d4b731 SHA512 eb555030e9d60d68c4094e85f16e0b74de7f61602c742d57bc2029d12c719084a2fd1214c13467ff262f6f3932508754159af5f014e6f16d279d14e1fafa9b8a
DIST oourafft-20061228.tgz 72213 BLAKE2B 4a3ac2b4c0bc3275b5743df59241e1cdbd0200371c153ddf54ef6c7c4ec523ee6560547e2d5ef9f3200037c0635bf41c18991ac35f271b1e600d0dbd65d1a9a7 SHA512 f1ceac00cb7b9eb8f625eee7f1f5eea8af363343589a344226628d68baf668c176e6c23b7f904c4e682330352eaa0cd5d00731340d208e94c9657b8f85ae2240
DIST pcre-8.39.tar.gz 2062258 BLAKE2B 1bc2b7b822383ba67b3e9707178fd100a13370a3a4ce8e6527fe0356f7d3e604a9ece11cef5e9e85925fc309698887389e67759d820b8b7a99703cc1cd3ccc88 SHA512 1724b2d6d8575af19fc20a13e50d71cb8024a66458d63cbc006b5bca01230845730535f3446d3850ddd580c93031f38c3ebf547adce0d279dfd18101677403da
+DIST protobuf-3.6.0.tar.gz 4483224 BLAKE2B b6716d33c14ab98a05676a3369b4762179df88ed3e8c34b93075c12edc10213bf1c427a59a8840bc64b53365264021b8075a02a44478c998062cf04da95c0075 SHA512 46df0187e5c9e7d213930d916f6c89e7a41eca1aaac228d8f56e3f784598a9f323d7cc2d3cf20668ceb776d3237c4eccf685ef8d7808f09107fa8e441f9899f4
DIST protobuf-396336eb961b75f03b25824fe86cf6490fb75e3a.tar.gz 4803167 BLAKE2B 466db7931c46df5f05018f4ebee0f1061a416b43486dce1fb4953a677f73138c74cbb97f333447862a571bcefe34dd0be3aac18e51b24f9921cb344e4e033af9 SHA512 5af4ebdd8a86a5e50c14c18590e372ea9454cadb101555e00008ebffe448acbaa8c57eeae857a53f20c64c0174ffe0a4d19ba393e2ca53beebad61d5b1db06c1
DIST re2-26cd968b735e227361c9703683266f01e5df7857.tar.gz 387722 BLAKE2B 122b9f30ec2534877580227fadfce6da6db00e9a3ec29140082580d71e6c4c510d5b6b7400633987d9cb546f88d26726ea6cbc7944aa925272a6dfccfbf728c9 SHA512 cbc81a948c8150416ba437f9fd7248d4e15c03160635d41702c79b981f05092dc052c5c0ee89a9fb7e163dffe148585c652207d9707214488c30bfd3aaaec18d
DIST six-1.10.0.tar.gz 29630 BLAKE2B 1f380dbc7a9e746b4a7909de54a58a008a73d7b6c582611b2481475d5d9971c936b1742ea0821c65150694914af72f43155caa54616268735a4bd2447d5b4ba4 SHA512 9a53b7bc8f7e8b358c930eaecf91cc5639176a699830153f586780c3e6d637f1bd31349a69c383574f99da19cb3a36524e7733a318f3572b27aefb69c6409c2e
@@ -51,8 +58,10 @@ DIST snappy-1.1.7.tar.gz 1090550 BLAKE2B e389c96e093de5db92b896a7fa17a90d3ad0be0
DIST sqlite-amalgamation-3200000.zip 2069628 BLAKE2B 97b641fdd143af8bd1f4b7b733f9823196d09ac1b1c1ea5b093da12592957b66d8be2450a7edf18c54ae83a03e09564d5c7f6b0cb8dd48d4fa8b4f2b153f62a7 SHA512 659b5fe93d526d6121f1530581d3fce5af90c986decf2fab7505fea14dc1ebc9167943261a433207fd70df0019bbcb4faeb5e49e586fc9ba6300439b6e00d1e8
DIST sqlite-amalgamation-3230100.zip 2183147 BLAKE2B af25542f81ac0592d143695466de785779dc8002ebc5b6cf20cb2d56a66cf12b9d4f73392b6ac696b8107beca0e5c3a3e03efb703fa49fc380355d1e9302e78a SHA512 5784f4dea7f14d7dcf5dd07f0e111c8f0b64ff55c68b32a23fba7a36baf1f095c7a35573fc3b57b84822878218b78f9b0187c4e3f0439d4215471ee5f556eee1
DIST swig-3.0.8.tar.gz 7937213 BLAKE2B 38f17631a36f178a478bf77f1a7ea77b50b91ed95ca0363f0f75d86bf7da6d855db314c1b7e67634b0e6e1438a0d141d0241595987142154ee356d60955248bc SHA512 85605bd98bf2b56f5bfca23ae23d76d764d76a174b05836c8686825e912d6326c370e9cf2134c0bf4f425560be103b16bf9c9d075077f52e713a69082616e906
+DIST tensorflow-1.10.0_rc1.tar.gz 24486453 BLAKE2B 3b41653695cfa03ae5ca3a4e16d82a0f3248ce674acb76210747614e98fabb9131a298ad947185c462d2e3573dfb7d1580de934d1a0b40710bba16208df7e333 SHA512 889430262f686613f39982b9b2ed328db16b651848cbf1dd06fbf9a5ef2304ddf0b43ca21eef2bbcc86800051497f18ba166427788c74a65aac7d3c10ae60f52
DIST tensorflow-1.8.0.tar.gz 22649439 BLAKE2B 7384c2cf742fb5a8b4e266e95080ae2513c1b112ab97f74839fa8e81bd91bd24645be8afb02e4447ad5fba9f47c4d146f59aa12085937cd3a364ec34c99590f3 SHA512 7280e65d26fb3f15d95f7217ee3bc08d1424cd144cf25bf638fa114fa835b2505dfaf457c55700067d24f485b77120973d094ec568e6d1b1054857402f9c352d
DIST tensorflow-1.9.0.tar.gz 23571524 BLAKE2B 2961ef5a35d3271512999478f6e260c90c48537e251b41d60ae9e033386c0dd9e1337af85c5441afca1b8cf5b3726349ba0e56cccdfa95fdf1c5e9e4d4db8af5 SHA512 eb25dafccf2ec600c4ca28612362c8317b8b9160610ca9fb60f265815651c155b19ae5be3f213a0d9e716d9e25637d6502164433955247cf6fa5d75408b7ac84
+DIST tensorflow-patches-1.10.0_rc1.tar.bz2 4032 BLAKE2B 8588deec74179d8044af631de8e651491cc713553ee15ece9dff5052bd95b10924bdbe4301453f00d0f2fccd5d595d496b48fe45b0259837653b2de9e1898ab9 SHA512 1f57995ca9b3278735636cc42c88dc45558fa6a1d656108293f8df3fd9961d75f5e979bf0a9909136134e1cdaab41a34f83e605b48b23dddf17a6b1be684117b
DIST tensorflow-patches-1.9.0.tar.bz2 8588 BLAKE2B 7fbdaa680b3bc372c760861709776cf333d587398297fb596332bb7394a7747c86cdc87615ae6f74e81d4e6b39a34aa3a9b6ee7cab95237316f20a315773b12b SHA512 35d56a1e71e500f41e423a2b58d58d210737afd2d9cd955aed227036a066506be1b39e7809f71d82c80f055ed43dfe1813213975acfb8d86be38baf24510e0f3
DIST tensorflow-python-license.txt 45132 BLAKE2B 1f572a06eeb4a58a5563b87a2db381a6e9eb0195cf1d006bda0d3da158e62a1e67e889a7d3d0da83d8609c0d048887bcbbd0d7056fd8e4f56b654047f36936fa SHA512 1b8c2f9733fcf27d560879418c366b5c3e44420d42adb3b857ee741793ddc75ad18324b016909457e5311f2143593392ce4404d12962f076e62f6036afbb521e
DIST termcolor-1.1.0.tar.gz 3912 BLAKE2B 8d661a708eff02894b6e390befddaef1c9d14f78f0c7d10ac332fa149f7892109f77bd279c9a488a3aa4070569c92f0ce847e3911d419ff549a10555b34534fb SHA512 4bd06bf4405a9ef6c005cd4d159ef602f7fc7fccb3e57586da1187c402f4d0b9051ef930cae423065c51ff4be8a22ceae556a61a6b3c8c519d623c066c340b53
diff --git a/sci-libs/tensorflow/tensorflow-1.10.0_rc1.ebuild b/sci-libs/tensorflow/tensorflow-1.10.0_rc1.ebuild
new file mode 100644
index 00000000000..2f99ccfabc0
--- /dev/null
+++ b/sci-libs/tensorflow/tensorflow-1.10.0_rc1.ebuild
@@ -0,0 +1,427 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+MY_PV=${PV/_rc/-rc}
+MY_P=${PN}-${MY_PV}
+
+inherit check-reqs cuda distutils-r1 eapi7-ver multiprocessing toolchain-funcs
+
+DESCRIPTION="Computation framework using data flow graphs for scalable machine learning"
+HOMEPAGE="https://www.tensorflow.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cuda jemalloc mpi +python +system-libs"
+CPU_USE_FLAGS_X86="sse sse2 sse3 sse4_1 sse4_2 avx avx2 fma3 fma4"
+for i in $CPU_USE_FLAGS_X86; do
+ IUSE+=" cpu_flags_x86_$i"
+done
+
+# distfiles that bazel uses for the workspace, will be copied to basel-distdir
+bazel_external_uris="
+ http://www.kurims.kyoto-u.ac.jp/~ooura/fft.tgz -> oourafft-20061228.tgz
+ https://bitbucket.org/eigen/eigen/get/fd6845384b86.tar.gz -> eigen-fd6845384b86.tar.gz
+ https://github.com/abseil/abseil-cpp/archive/9613678332c976568272c8f4a78631a29159271d.tar.gz -> abseil-cpp-9613678332c976568272c8f4a78631a29159271d.tar.gz
+ https://github.com/bazelbuild/rules_closure/archive/dbb96841cc0a5fb2664c37822803b06dab20c7d1.tar.gz -> bazelbuild-rules_closure-dbb96841cc0a5fb2664c37822803b06dab20c7d1.tar.gz
+ https://github.com/google/double-conversion/archive/3992066a95b823efc8ccc1baf82a1cfc73f6e9b8.zip -> double-conversion-3992066a95b823efc8ccc1baf82a1cfc73f6e9b8.zip
+ https://github.com/google/farmhash/archive/816a4ae622e964763ca0862d9dbd19324a1eaf45.tar.gz -> farmhash-816a4ae622e964763ca0862d9dbd19324a1eaf45.tar.gz
+ https://github.com/google/gemmlowp/archive/38ebac7b059e84692f53e5938f97a9943c120d98.zip -> gemmlowp-38ebac7b059e84692f53e5938f97a9943c120d98.zip
+ https://github.com/google/highwayhash/archive/fd3d9af80465e4383162e4a7c5e2f406e82dd968.tar.gz -> highwayhash-fd3d9af80465e4383162e4a7c5e2f406e82dd968.tar.gz
+ https://github.com/google/protobuf/archive/v3.6.0.tar.gz -> protobuf-3.6.0.tar.gz
+ jemalloc? ( https://github.com/jemalloc/jemalloc/archive/4.4.0.tar.gz -> jemalloc-4.4.0.tar.gz )
+ cuda? (
+ https://github.com/nvidia/nccl/archive/03d856977ecbaac87e598c0c4bafca96761b9ac7.tar.gz -> nvidia-nccl-03d856977ecbaac87e598c0c4bafca96761b9ac7.tar.gz
+ https://github.com/NVlabs/cub/archive/1.8.0.zip -> cub-1.8.0.zip
+ )
+ python? (
+ https://github.com/abseil/abseil-py/archive/pypi-v0.2.2.tar.gz -> abseil-py-0.2.2.tar.gz
+ https://github.com/googleapis/googleapis/archive/f81082ea1e2f85c43649bee26e0d9871d4b41cdb.zip -> googleapis-f81082ea1e2f85c43649bee26e0d9871d4b41cdb.zip
+ https://github.com/GoogleCloudPlatform/google-cloud-cpp/archive/f875700a023bdd706333cde45aee8758b272c357.tar.gz -> google-cloud-cpp-f875700a023bdd706333cde45aee8758b272c357.tar.gz
+ https://github.com/google/boringssl/archive/a0fb951d2a26a8ee746b52f3ba81ab011a0af778.tar.gz -> boringssl-a0fb951d2a26a8ee746b52f3ba81ab011a0af778.tar.gz
+ https://github.com/intel/ARM_NEON_2_x86_SSE/archive/0f77d9d182265259b135dad949230ecbf1a2633d.tar.gz -> ARM_NEON_2_x86_SSE-0f77d9d182265259b135dad949230ecbf1a2633d.tar.gz
+ https://github.com/llvm-mirror/llvm/archive/bd8c8d759852871609ba2e4e79868420f751949d.tar.gz -> llvm-bd8c8d759852871609ba2e4e79868420f751949d.tar.gz
+ https://mirror.bazel.build/docs.python.org/2.7/_sources/license.txt -> tensorflow-python-license.txt
+ https://pypi.python.org/packages/5c/78/ff794fcae2ce8aa6323e789d1f8b3b7765f601e7702726f430e814822b96/gast-0.2.0.tar.gz
+ https://pypi.python.org/packages/bc/cc/3cdb0a02e7e96f6c70bd971bc8a90b8463fda83e264fa9c5c1c98ceabd81/backports.weakref-1.0rc1.tar.gz
+ !system-libs? (
+ https://github.com/google/flatbuffers/archive/v1.9.0.tar.gz -> flatbuffers-1.9.0.tar.gz
+ )
+ )
+ !system-libs? (
+ https://github.com/google/nsync/archive/1.20.1.tar.gz -> nsync-1.20.1.tar.gz
+ https://github.com/grpc/grpc/archive/v1.13.0.tar.gz -> grpc-1.13.0.tar.gz
+ )"
+
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~perfinion/patches/tensorflow-patches-${PVR}.tar.bz2
+ ${bazel_external_uris}"
+
+RDEPEND="
+ app-arch/snappy
+ dev-db/lmdb
+ dev-db/sqlite
+ >=dev-libs/jsoncpp-1.8.4
+ dev-libs/libpcre
+ >=dev-libs/protobuf-3.6.0
+ >=dev-libs/re2-0.2018.04.01
+ media-libs/giflib
+ media-libs/libjpeg-turbo
+ media-libs/libpng:0
+ net-misc/curl
+ sys-libs/zlib
+ cuda? (
+ >=dev-util/nvidia-cuda-toolkit-8.0[profiler]
+ >=dev-libs/cudnn-6.0
+ )
+ jemalloc? ( >=dev-libs/jemalloc-4.4.0 )
+ mpi? ( virtual/mpi )
+ python? (
+ ${PYTHON_DEPS}
+ dev-python/absl-py[${PYTHON_USEDEP}]
+ dev-python/astor[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.6.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/termcolor[${PYTHON_USEDEP}]
+ virtual/python-enum34[${PYTHON_USEDEP}]
+ system-libs? (
+ >=dev-libs/flatbuffers-1.8.0
+ )
+ )
+ system-libs? (
+ dev-libs/nsync
+ >=net-libs/grpc-1.13.0[${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}
+ !python? ( dev-lang/python )
+ app-arch/unzip
+ >=dev-util/bazel-0.16.0
+ dev-java/java-config
+ dev-python/mock
+ dev-lang/nasm
+ dev-lang/swig
+ dev-python/cython"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( AUTHORS CONTRIBUTING.md ISSUE_TEMPLATE.md README.md RELEASE.md )
+CHECKREQS_MEMORY="5G"
+CHECKREQS_DISK_BUILD="5G"
+
+bazel-get-cpu-flags() {
+ local i f=()
+ # Keep this list in sync with tensorflow/core/platform/cpu_feature_guard.cc.
+ for i in sse sse2 sse3 sse4_1 sse4_2 avx avx2 fma4; do
+ use cpu_flags_x86_${i} && f+=( -m${i/_/.} )
+ done
+ use cpu_flags_x86_fma3 && f+=( -mfma )
+ echo "${f[*]}"
+}
+
+bazel-get-flags() {
+ local i fs=()
+ for i in ${CFLAGS} $(bazel-get-cpu-flags); do
+ fs+=( "--copt=${i}" "--host_copt=${i}" )
+ done
+ for i in ${CXXFLAGS} $(bazel-get-cpu-flags); do
+ fs+=( "--cxxopt=${i}" "--host_cxxopt=${i}" )
+ done
+ for i in ${CPPFLAGS}; do
+ fs+=( "--copt=${i}" "--host_copt=${i}" )
+ fs+=( "--cxxopt=${i}" "--host_cxxopt=${i}" )
+ done
+ for i in ${LDFLAGS}; do
+ fs+=( "--linkopt=${i}" "--host_linkopt=${i}" )
+ done
+ echo "${fs[*]}"
+}
+
+setup_bazelrc() {
+ if [[ -f "${T}/bazelrc" ]]; then
+ return
+ fi
+
+ # F: fopen_wr
+ # P: /proc/self/setgroups
+ # Even with standalone enabled, the Bazel sandbox binary is run for feature test:
+ # https://github.com/bazelbuild/bazel/blob/7b091c1397a82258e26ab5336df6c8dae1d97384/src/main/java/com/google/devtools/build/lib/sandbox/LinuxSandboxedSpawnRunner.java#L61
+ # https://github.com/bazelbuild/bazel/blob/76555482873ffcf1d32fb40106f89231b37f850a/src/main/tools/linux-sandbox-pid1.cc#L113
+ addpredict /proc
+
+ mkdir -p "${T}/bazel-cache" || die
+ mkdir -p "${T}/bazel-distdir" || die
+
+ cat > "${T}/bazelrc" <<-EOF
+ # dont strip HOME, portage sets a temp per-package dir
+ build --action_env HOME
+
+ # make bazel respect MAKEOPTS
+ build --jobs=$(makeopts_jobs) $(bazel-get-flags)
+ build --compilation_mode=opt --host_compilation_mode=opt
+
+ # Use standalone strategy to deactivate the bazel sandbox, since it
+ # conflicts with FEATURES=sandbox.
+ build --spawn_strategy=standalone --genrule_strategy=standalone
+ test --spawn_strategy=standalone --genrule_strategy=standalone
+
+ build --strip=never
+ build --verbose_failures --noshow_loading_progress
+ test --verbose_test_summary --verbose_failures --noshow_loading_progress
+
+ # make bazel only fetch distfiles from the cache
+ fetch --repository_cache=${T}/bazel-cache/ --distdir=${T}/bazel-distdir/
+ build --repository_cache=${T}/bazel-cache/ --distdir=${T}/bazel-distdir/
+ EOF
+}
+
+ebazel() {
+ # Use different build folders for each multibuild variant.
+ local base_suffix="${MULTIBUILD_VARIANT+-}${MULTIBUILD_VARIANT}"
+ local output_base="${WORKDIR}/bazel-base${base_suffix}"
+ mkdir -p "${output_base}" || die
+
+ einfo Running: bazel --output_base="${output_base}" "$@"
+ bazel --output_base="${output_base}" $@ || die
+
+ bazel shutdown
+}
+
+load_distfiles() {
+ # Populate the bazel distdir to fetch from since it cannot use the network
+ # Bazel looks in distdir but will only look for the original filename, not
+ # the possibly renamed one that portage downloaded. If the line has -> we
+ # need to rename it back, otherwise a simple copy is fine.
+
+ local src dst uri rename
+
+ while read uri rename dst; do
+ src="${uri##*/}"
+ [[ -z $src ]] && continue
+ if [[ "$rename" != "->" ]]; then
+ dst="${src}"
+ fi
+
+ [[ ${A} =~ ${dst} ]] || continue
+
+ if [[ "$dst" == "$src" ]]; then
+ einfo "Copying $dst to bazel distdir $src ..."
+ else
+ einfo "Copying $dst to bazel distdir ..."
+ fi
+ ln -s "${DISTDIR}/${dst}" "${T}/bazel-distdir/${src}" || die
+ done <<< "$(sed -re 's/!?[A-Za-z]+\?\s+\(\s*//g; s/\s+\)//g' <<< "${bazel_external_uris}")"
+}
+
+pkg_setup() {
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ # Only unpack the main distfile
+ unpack "${P}.tar.gz"
+ unpack tensorflow-patches-${PVR}.tar.bz2
+}
+
+src_prepare() {
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+
+ setup_bazelrc
+ load_distfiles
+
+ eapply "${WORKDIR}"/patches/*.patch
+
+ default
+ use python && python_copy_sources
+
+ if use cuda; then
+ for i in /dev/nvidia*; do
+ addpredict $i
+ done
+ fi
+}
+
+src_configure() {
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+
+ do_configure() {
+ export BAZEL_STRIP=0
+ export CC_OPT_FLAGS=" "
+ export TF_NEED_JEMALLOC=$(usex jemalloc 1 0)
+ export TF_NEED_GCP=0
+ export TF_NEED_HDFS=0
+ export TF_NEED_S3=0
+ export TF_NEED_AWS=0
+ export TF_NEED_KAFKA=0
+ export TF_ENABLE_XLA=0
+ export TF_NEED_GDR=0
+ export TF_NEED_VERBS=0
+ export TF_NEED_OPENCL_SYCL=0
+ export TF_NEED_OPENCL=0
+ export TF_NEED_COMPUTECPP=0
+ export TF_NEED_MKL=0
+ export TF_NEED_MPI=$(usex mpi 1 0)
+ export TF_SET_ANDROID_WORKSPACE=0
+
+ if use python; then
+ python_export PYTHON_SITEDIR
+ export PYTHON_BIN_PATH="${PYTHON}"
+ export PYTHON_LIB_PATH="${PYTHON_SITEDIR}"
+ else
+ export PYTHON_BIN_PATH="$(which python)"
+ export PYTHON_LIB_PATH="$(python -c 'from distutils.sysconfig import *; print(get_python_lib())')"
+ fi
+
+ export TF_NEED_CUDA=$(usex cuda 1 0)
+ export TF_DOWNLOAD_CLANG=0
+ export TF_CUDA_CLANG=0
+ export TF_NEED_TENSORRT=0
+ if use cuda; then
+ export CUDA_TOOLKIT_PATH="${EPREFIX%/}/opt/cuda"
+ export CUDNN_INSTALL_PATH="${EPREFIX%/}/opt/cuda"
+ export GCC_HOST_COMPILER_PATH="$(cuda_gccdir)/$(tc-getCC)"
+ export TF_NCCL_VERSION="1"
+
+ TF_CUDA_VERSION="$(best_version dev-util/nvidia-cuda-toolkit)"
+ TF_CUDA_VERSION="${TF_CUDA_VERSION##*cuda-toolkit-}"
+ export TF_CUDA_VERSION="$(ver_cut 1-2 ${TF_CUDA_VERSION})"
+ einfo "Setting CUDA version: $TF_CUDA_VERSION"
+
+ TF_CUDNN_VERSION="$(best_version dev-libs/cudnn)"
+ TF_CUDNN_VERSION="${TF_CUDNN_VERSION##*cudnn-}"
+ export TF_CUDNN_VERSION="$(ver_cut 1-2 ${TF_CUDNN_VERSION})"
+ einfo "Setting CUDNN version: $TF_CUDNN_VERSION"
+ fi
+
+ local SYSLIBS=(
+ astor_archive
+ com_googlesource_code_re2
+ curl
+ cython
+ gif_archive
+ jemalloc
+ jpeg
+ jsoncpp_git
+ lmdb
+ nasm
+ org_sqlite
+ pcre
+ png_archive
+ six_archive
+ snappy
+ swig
+ termcolor_archive
+ zlib_archive
+ )
+ if use system-libs; then
+ SYSLIBS+=( flatbuffers grpc nsync )
+ fi
+
+ SYSLIBS="${SYSLIBS[@]}"
+ export TF_SYSTEM_LIBS="${SYSLIBS// /,}"
+
+ # Only one bazelrc is read, import our one before configure sets its options
+ echo "import ${T}/bazelrc" >> ./.bazelrc
+
+ # This is not autoconf
+ ./configure || die
+ }
+ if use python; then
+ python_foreach_impl run_in_build_dir do_configure
+ else
+ do_configure
+ fi
+}
+
+src_compile() {
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+
+ if use python; then
+ python_setup
+ local MULTIBUILD_VARIANT="${EPYTHON/./_}"
+ cd "${S}-${MULTIBUILD_VARIANT}" || die
+ fi
+
+ ebazel build \
+ //tensorflow:libtensorflow_framework.so \
+ //tensorflow:libtensorflow.so
+ ebazel build //tensorflow:libtensorflow_cc.so
+
+ do_compile() {
+ ebazel build //tensorflow/tools/pip_package:build_pip_package
+ }
+ use python && python_foreach_impl run_in_build_dir do_compile
+}
+
+src_install() {
+ local i j
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+
+ do_install() {
+ einfo "Installing ${EPYTHON} files"
+ local srcdir="${T}/src-${MULTIBUILD_VARIANT}"
+ mkdir -p "${srcdir}" || die
+ bazel-bin/tensorflow/tools/pip_package/build_pip_package --src "${srcdir}" || die
+ cd "${srcdir}" || die
+ esetup.py install
+
+ # Symlink to the main .so file
+ python_export PYTHON_SITEDIR
+ rm -rf "${D}/${PYTHON_SITEDIR}/${PN}/lib${PN}_framework.so" || die
+ dosym "../../../lib${PN}_framework.so" "${PYTHON_SITEDIR#${EPREFIX%/}}/${PN}/lib${PN}_framework.so" || die
+
+ python_optimize
+ }
+
+ if use python; then
+ python_foreach_impl run_in_build_dir do_install
+
+ rm -f "${ED}"/usr/lib/python-exec/*/tensorboard || die "failed to remove tensorboard"
+
+ # Symlink to python-exec scripts
+ for i in "${ED}"/usr/lib/python-exec/*/*; do
+ n="${i##*/}"
+ [[ -e "${ED}/usr/bin/${n}" ]] || dosym ../lib/python-exec/python-exec2 "/usr/bin/$n"
+ done
+
+ python_setup
+ local MULTIBUILD_VARIANT="${EPYTHON/./_}"
+ cd "${S}-${MULTIBUILD_VARIANT}" || die
+ fi
+
+ einfo "Installing headers"
+ # Install c c++ and core header files
+ for i in $(find ${PN}/{c,cc,core} -name "*.h"); do
+ insinto /usr/include/${PN}/${i%/*}
+ doins ${i}
+ done
+
+ einfo "Installing generated headers"
+ for i in $(find bazel-genfiles/${PN}/{cc,core} -name "*.h"); do
+ j=${i#bazel-genfiles/}
+ insinto /usr/include/${PN}/${j%/*}
+ doins ${i}
+ done
+
+ einfo "Installing Eigen headers"
+ ebazel build //third_party/eigen3:install_eigen_headers
+ insinto /usr/include/${PN}/
+ doins -r bazel-genfiles/third_party/eigen3/include/*
+
+ einfo "Installing libs"
+ # Generate pkg-config file
+ ${PN}/c/generate-pc.sh --prefix="${EPREFIX}"/usr --libdir=$(get_libdir) --version=${MY_PV} || die
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${PN}.pc
+
+ dolib.so bazel-bin/tensorflow/lib${PN}_framework.so
+ dolib.so bazel-bin/tensorflow/lib${PN}.so
+ dolib.so bazel-bin/tensorflow/lib${PN}_cc.so
+
+ einstalldocs
+}